Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 3763)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 3766)
@@ -929,76 +936,76 @@
 !> Define module-specific 2D output variables
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_data_output_2d( av, variable, found, grid, mode,   &
-                                            local_pf, two_d, nzb_do, nzt_do,   &
-                                            fill_value )
-
-   INTEGER(iwp),      INTENT(IN)    ::  av         !< flag for (non-)average output
-   CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
-   LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
-   CHARACTER (LEN=*), INTENT(INOUT) ::  grid       !< name of vertical grid
-   CHARACTER (LEN=*), INTENT(IN)    ::  mode       !< either 'xy', 'xz' or 'yz'
-   LOGICAL,           INTENT(OUT)   ::  two_d      !< flag for 2D variables
-   INTEGER(iwp),      INTENT(IN)    ::  nzb_do     !< vertical output index (bottom) (usually 0)
-   INTEGER(iwp),      INTENT(IN)    ::  nzt_do     !< vertical output index (top) (usually nz_do3d)
-   REAL(wp),          INTENT(IN)    ::  fill_value !< to be removed
-
-   REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(OUT) ::  local_pf !< ToDo: can also be kind=sp
-
-
-   IF ( .NOT. found  .AND.  biometeorology )  THEN
-      CALL bio_data_output_2d(                                                 &
-              av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do       &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  bulk_cloud_model )  THEN
-      CALL bcm_data_output_2d(                                                 &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  air_chemistry )  THEN
-      CALL chem_data_output_2d(                                                &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do, fill_value &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-      CALL gust_data_output_2d(                                                &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do, fill_value &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  land_surface )  THEN
-      CALL lsm_data_output_2d(                                                 &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  ocean_mode )  THEN
-      CALL ocean_data_output_2d(                                               &
-              av, variable, found, grid, mode, local_pf, nzb_do, nzt_do        &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  radiation )  THEN
-      CALL radiation_data_output_2d(                                           &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  salsa )  THEN
-      CALL salsa_data_output_2d(                                               &
-              av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do &
-           )
-   ENDIF
-
-   IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-      CALL user_data_output_2d(                                                &
-              av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do       &
-           )
-   ENDIF
-
-END SUBROUTINE module_interface_data_output_2d
+ SUBROUTINE module_interface_data_output_2d( av, variable, found, grid, mode,  &
+                                             local_pf, two_d, nzb_do, nzt_do,  &
+                                             fill_value )
+
+    INTEGER(iwp),      INTENT(IN)    ::  av         !< flag for (non-)average output
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
+    LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
+    CHARACTER (LEN=*), INTENT(INOUT) ::  grid       !< name of vertical grid
+    CHARACTER (LEN=*), INTENT(IN)    ::  mode       !< either 'xy', 'xz' or 'yz'
+    LOGICAL,           INTENT(OUT)   ::  two_d      !< flag for 2D variables
+    INTEGER(iwp),      INTENT(IN)    ::  nzb_do     !< vertical output index (bottom) (usually 0)
+    INTEGER(iwp),      INTENT(IN)    ::  nzt_do     !< vertical output index (top) (usually nz_do3d)
+    REAL(wp),          INTENT(IN)    ::  fill_value !< to be removed
+
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(OUT) ::  local_pf !< ToDo: can also be kind=sp
+
+
+    IF ( .NOT. found  .AND.  biometeorology )  THEN
+       CALL bio_data_output_2d(                                                &
+               av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do      &
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  bulk_cloud_model )  THEN
+       CALL bcm_data_output_2d(                                                &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do&
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  air_chemistry )  THEN
+       CALL chem_data_output_2d(                                               &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do, fill_value &
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
+       CALL gust_data_output_2d(                                               &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do, fill_value &
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  land_surface )  THEN
+       CALL lsm_data_output_2d(                                                &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do&
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  ocean_mode )  THEN
+       CALL ocean_data_output_2d(                                              &
+               av, variable, found, grid, mode, local_pf, nzb_do, nzt_do       &
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  radiation )  THEN
+       CALL radiation_data_output_2d(                                          &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do&
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  salsa )  THEN
+       CALL salsa_data_output_2d(                                              &
+               av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do&
+            )
+    ENDIF
+
+    IF ( .NOT. found  .AND.  user_module_enabled )  THEN
+       CALL user_data_output_2d(                                               &
+               av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do      &
+            )
+    ENDIF
+
+ END SUBROUTINE module_interface_data_output_2d
 
 
@@ -1009,71 +1016,71 @@
 !> Define module-specific 3D output variables
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_data_output_3d( av, variable, found, local_pf,     &
-                                            fill_value, resorted, nzb_do, nzt_do )
-
-
-   INTEGER(iwp),      INTENT(IN)    ::  av         !< flag for (non-)average output
-   CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
-   LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
-   REAL(wp),          INTENT(IN)    ::  fill_value !< ToDo: refactor
-   LOGICAL,           INTENT(OUT)   ::  resorted   !< flag if output has been resorted
-   INTEGER(iwp),      INTENT(IN)    ::  nzb_do     !< vertical output index (bottom) (usually 0)
-   INTEGER(iwp),      INTENT(IN)    ::  nzt_do     !< vertical output index (top) (usually nz_do3d)
-
-   REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(OUT) ::  local_pf
-
-
-   IF ( .NOT. found  .AND.  biometeorology )  THEN
-      CALL bio_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .FALSE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  bulk_cloud_model )  THEN
-      CALL bcm_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  air_chemistry )  THEN
-      CALL chem_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-      CALL gust_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
+ SUBROUTINE module_interface_data_output_3d( av, variable, found, local_pf,    &
+                                             fill_value, resorted, nzb_do, nzt_do )
+
+
+    INTEGER(iwp),      INTENT(IN)    ::  av         !< flag for (non-)average output
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< variable name
+    LOGICAL,           INTENT(INOUT) ::  found      !< flag if output variable is found
+    REAL(wp),          INTENT(IN)    ::  fill_value !< ToDo: refactor
+    LOGICAL,           INTENT(OUT)   ::  resorted   !< flag if output has been resorted
+    INTEGER(iwp),      INTENT(IN)    ::  nzb_do     !< vertical output index (bottom) (usually 0)
+    INTEGER(iwp),      INTENT(IN)    ::  nzt_do     !< vertical output index (top) (usually nz_do3d)
+
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(OUT) ::  local_pf
+
+
+    IF ( .NOT. found  .AND.  biometeorology )  THEN
+       CALL bio_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .FALSE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  bulk_cloud_model )  THEN
+       CALL bcm_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  air_chemistry )  THEN
+       CALL chem_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
+       CALL gust_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
    
-   IF ( .NOT. found  .AND.  indoor_model )  THEN
-      CALL im_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  ocean_mode )  THEN
-      CALL ocean_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  plant_canopy )  THEN
-      CALL pcm_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  radiation )  THEN
-      CALL radiation_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  salsa )  THEN
-      CALL salsa_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-   IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-      CALL user_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
-      resorted = .TRUE.
-   ENDIF
-
-
-END SUBROUTINE module_interface_data_output_3d
+    IF ( .NOT. found  .AND.  indoor_model )  THEN
+       CALL im_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  ocean_mode )  THEN
+       CALL ocean_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  plant_canopy )  THEN
+       CALL pcm_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  radiation )  THEN
+       CALL radiation_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  salsa )  THEN
+       CALL salsa_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+    IF ( .NOT. found  .AND.  user_module_enabled )  THEN
+       CALL user_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
+       resorted = .TRUE.
+    ENDIF
+
+
+ END SUBROUTINE module_interface_data_output_3d
 
 
@@ -1083,18 +1090,18 @@
 !> Compute module-specific profile and timeseries data
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_statistics( mode, sr, tn, dots_max )
-
-
-   CHARACTER (LEN=*), INTENT(IN) ::  mode     !< statistical analysis mode
-   INTEGER(iwp),      INTENT(IN) ::  sr       !<
-   INTEGER(iwp),      INTENT(IN) ::  tn       !<
-   INTEGER(iwp),      INTENT(IN) ::  dots_max !< maximum number of timeseries
-
-   IF ( gust_module_enabled )  CALL gust_statistics( mode, sr, tn, dots_max )
-   IF ( air_chemistry       )  CALL chem_statistics( mode, sr, tn )
-   IF ( user_module_enabled )  CALL user_statistics( mode, sr, tn )
-
-
-END SUBROUTINE module_interface_statistics
+ SUBROUTINE module_interface_statistics( mode, sr, tn, dots_max )
+
+
+    CHARACTER (LEN=*), INTENT(IN) ::  mode     !< statistical analysis mode
+    INTEGER(iwp),      INTENT(IN) ::  sr       !<
+    INTEGER(iwp),      INTENT(IN) ::  tn       !<
+    INTEGER(iwp),      INTENT(IN) ::  dots_max !< maximum number of timeseries
+
+    IF ( gust_module_enabled )  CALL gust_statistics( mode, sr, tn, dots_max )
+    IF ( air_chemistry       )  CALL chem_statistics( mode, sr, tn )
+    IF ( user_module_enabled )  CALL user_statistics( mode, sr, tn )
+
+
+ END SUBROUTINE module_interface_statistics
 
 
@@ -1104,22 +1111,21 @@
 !> Read module-specific restart data globaly shared by all MPI ranks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_rrd_global( variable, found )
-
-
-   CHARACTER (LEN=*), INTENT(IN)  ::  variable !< name of global variable
-   LOGICAL,           INTENT(OUT) ::  found    !< flag if variable was found
-
-   IF ( .NOT. found )  CALL bio_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL bcm_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL flight_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL gust_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL ocean_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL stg_rrd_global ( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL wtm_rrd_global( found ) ! ToDo: change interface to pass variable
-   IF ( .NOT. found )  CALL surface_data_output_rrd_global( found )
-   IF ( .NOT. found )  CALL user_rrd_global( found ) ! ToDo: change interface to pass variable
-
-
-END SUBROUTINE module_interface_rrd_global
+ SUBROUTINE module_interface_rrd_global( found )
+
+
+    LOGICAL,           INTENT(OUT) ::  found    !< flag if variable was found
+
+    IF ( .NOT. found )  CALL bio_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL bcm_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL flight_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL gust_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL ocean_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL stg_rrd_global ( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL wtm_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL surface_data_output_rrd_global( found )
+    IF ( .NOT. found )  CALL user_rrd_global( found ) ! ToDo: change interface to pass variable
+
+
+ END SUBROUTINE module_interface_rrd_global
 
 
@@ -1129,19 +1135,19 @@
 !> Write module-specific restart data globaly shared by all MPI ranks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_wrd_global
-
-
-   IF ( biometeorology )       CALL bio_wrd_global
-   IF ( bulk_cloud_model )     CALL bcm_wrd_global
-   IF ( virtual_flight )       CALL flight_wrd_global
-   IF ( gust_module_enabled )  CALL gust_wrd_global
-   IF ( ocean_mode )           CALL ocean_wrd_global
-   IF ( syn_turb_gen )         CALL stg_wrd_global
-   IF ( wind_turbine )         CALL wtm_wrd_global
-   IF ( surface_output )       CALL surface_data_output_wrd_global
-   IF ( user_module_enabled )  CALL user_wrd_global
-
-
-END SUBROUTINE module_interface_wrd_global
+ SUBROUTINE module_interface_wrd_global
+
+
+    IF ( biometeorology )       CALL bio_wrd_global
+    IF ( bulk_cloud_model )     CALL bcm_wrd_global
+    IF ( virtual_flight )       CALL flight_wrd_global
+    IF ( gust_module_enabled )  CALL gust_wrd_global
+    IF ( ocean_mode )           CALL ocean_wrd_global
+    IF ( syn_turb_gen )         CALL stg_wrd_global
+    IF ( wind_turbine )         CALL wtm_wrd_global
+    IF ( surface_output )       CALL surface_data_output_wrd_global
+    IF ( user_module_enabled )  CALL user_wrd_global
+
+
+ END SUBROUTINE module_interface_wrd_global
 
 
